-- Version 0.0.5

--[[ Umlauts & special characters list
	ä --> \195\164
	Ä --> \195\132
	ö --> \195\182
	Ö --> \195\150
	ü --> \195\188
	Ü --> \195\156
	ß --> \195\159

   à : \195\160    è : \195\168    ì : \195\172    ò : \195\178    ù : \195\185
   á : \195\161    é : \195\169    í : \195\173    ó : \195\179    ú : \195\186
   â : \195\162    ê : \195\170    î : \195\174    ô : \195\180    û : \195\187
      	 		   ë : \195\171    ï : \195\175
   æ : \195\166    ø : \195\184
   ç : \195\167                                    œ : \197\147
   Ä : \195\132    Ö : \195\150    Ü : \195\156    ß : \195\159
   ä : \195\164    ö : \195\182    ü : \195\188
   ã : \195\163    õ : \195\181  				   \195\177 : \195\177
]]

fco_gbssloc = {
	--English
    ["en"] = {
		-- Options menu
        ["options_description"]                  = "",
		["options_header1"] 			 		 = "General settings",
    	["options_language"] 					 = "Language",
		["options_language_tooltip"] 			 = "Choose the language",
		["options_language_dropdown_selection1"] = "English",
		["options_language_dropdown_selection2"] = "German",
		["options_language_dropdown_selection3"] = "French",
		["options_language_dropdown_selection4"] = "Spanish",
        ["options_language_dropdown_selection5"] = "Italian",
		["options_language_description1"]		 = "CAUTION: Changing the language/save option will reload the user interface!",
        ["options_reloadui"]					 = "CAUTION: Changing this option will reload the user interface!",
        ["options_savedvariables"]				 = "Save settings",
        ["options_savedvariables_tooltip"]       = "Save the addon settings for all your characters of your account, or single for each character",
        ["options_savedVariables_dropdown_selection1"] = "Each character",
        ["options_savedVariables_dropdown_selection2"] = "Account wide",
        --Chat commands
        ["chat_command_help"]                           = "|c00FF00FCO |cFFFF00GuildBankStackSplit|r",
        ["chat_command_commands_headline"]              = "-> Possible commands are:",
        ["chat_command_commands_delay"]                 = "--> delay <value in milliseconds>.<2 decimals> (Example: /fcogbss delay 250.75).\nLeave value and decimals empty to show the current delay value!",
        ["chat_command_current_delay"]                  = "Current delay: ",
        ["chat_command_delay_min"]                      = "min: ",
        ["chat_command_delay_max"]                      = "max: ",
		--Keybindings
		["SI_BINDING_NAME_FCO_SPLIT_GUILD_BANK_STACK"] 			= "Split stack",

        --Error messages
        ["error_split_did_not_work_try_again"]     = "|cDD2222[FCOGuildBankStackSplit]|cFFFFFF Split aborted! Please try again|r",
    },

	--German / Deutsch
    ["de"] = {
		-- Options menu
        ["options_description"]                  = "",
		["options_header1"] 			 		 = "Generelle Einstellungen",
    	["options_language"] 					 = "Sprache",
		["options_language_tooltip"] 			 = "Wählen Sie die Sprache aus.",
		["options_language_dropdown_selection1"] = "Englisch",
		["options_language_dropdown_selection2"] = "Deutsch",
		["options_language_dropdown_selection3"] = "Französisch",
		["options_language_dropdown_selection4"] = "Spanisch",
        ["options_language_dropdown_selection5"] = "Italienisch",
		["options_language_description1"]		 = "ACHTUNG: Veränderungen der Sprache/der Speicherart laden die Benutzeroberfläche neu!",
        ["options_reloadui"]					 = "ACHTUNG: Veränderung dieser Option wird die Benutzeroberfläche neu laden!",
        ["options_savedvariables"]				 = "Einstellungen speichern",
        ["options_savedvariables_tooltip"]       = "Die Einstellungen dieses Addons werden für alle Charactere Ihres Accounts, oder für jeden Character einzeln gespeichert.",
        ["options_savedVariables_dropdown_selection1"] = "Jeder Charakter",
        ["options_savedVariables_dropdown_selection2"] = "Ganzer Account",
        --Chat commands
        ["chat_command_help"]                           = "|c00FF00FCO |cFFFF00GuildBankStackSplit|r",
        ["chat_command_commands_headline"]              = "-> Mögliche Befehle sind:",
        ["chat_command_commands_delay"]                 = "--> delay <Wert in Millisekunden>.<2 Dezimalstellen> (Beispiel: /fcogbss delay 250.75).\nLass den Wert und die Dezimalstellen leer, um den aktuellen Wert auszugeben!",
        ["chat_command_current_delay"]                  = "Aktuelle Verzögerung: ",
        ["chat_command_delay_min"]                      = "Min.: ",
        ["chat_command_delay_max"]                      = "Max.: ",
		--Keybindings
        ["SI_BINDING_NAME_FCO_SPLIT_GUILD_BANK_STACK"] 			= "Stapel aufteilen",

        --Error messages
        ["error_split_did_not_work_try_again"]     = "|cDD2222[FCOGuildBankStackSplit]|cFFFFFF Aufteilen abgebrochen! Bitte noch einmal versuchen|r",
    },

	--French / Französisch
	["fr"] = {
		-- Options menu
        ["options_description"]                 = "",
		["options_header1"] = "General",
		["options_language"] = "Langue",
		["options_language_tooltip"] = "Choisir le langue",
		["options_language_dropdown_selection1"] = "Anglais",
		["options_language_dropdown_selection2"] = "Allemand",
		["options_language_dropdown_selection3"] = "Francais",
		["options_language_dropdown_selection4"] = "Espagnol",
        ["options_language_dropdown_selection5"] = "Italian",
		["options_language_description1"]	 = "ATTENTION: Modifier un de ces réglages provoquera un Reload UI.",
        ["options_reloadui"]				 = "ATTENTION: Modifier ce réglage provoquera un Reload UI.",
		["options_savedvariables"]	 = "Sauvegarder",
		["options_savedvariables_tooltip"] = "Sauvegarder les données de l'addon pour tous les personages du compte, ou individuellement pour chaque personnages",
		["options_savedVariables_dropdown_selection1"] = "Individuellement",
		["options_savedVariables_dropdown_selection2"] = "Compte",
        --Chat commands
        ["chat_command_help"]                           = "|c00FF00FCO |cFFFF00GuildBankStackSplit|r",
        ["chat_command_commands_headline"]              = "-> Possible commands are:",
        ["chat_command_commands_delay"]                 = "--> delay <value in milliseconds>.<2 decimals> (Example: /fcogbss delay 250.75).\nLeave value and decimals empty to show the current delay value!",
        ["chat_command_current_delay"]                  = "Current delay: ",
        ["chat_command_delay_min"]                      = "min: ",
        ["chat_command_delay_max"]                      = "max: ",
		--Keybindings
        ["SI_BINDING_NAME_FCO_SPLIT_GUILD_BANK_STACK"] 			= "Diviser la pile",

        --Error messages
        ["error_split_did_not_work_try_again"]     = "|cDD2222[FCOGuildBankStackSplit]|cFFFFFF Split abandonnée! Se il vous plaît essayer à nouveau|r",
	},

--Spanish / Español
	["es"] = {
		-- Options menu
        ["options_description"]                     = "",
		["options_header1"] = "General",
		["options_language"] = "Idioma",
		["options_language_tooltip"] = "Elegir idioma",
		["options_language_dropdown_selection1"] = "Inglés",
		["options_language_dropdown_selection2"] = "Alemán",
		["options_language_dropdown_selection3"] = "Francés",
		["options_language_dropdown_selection4"] = "Espa\195\177ol",
        ["options_language_dropdown_selection5"] = "Italian",
		["options_language_description1"]	 = "CUIDADO: Modificar uno de estos parámetros recargará la interfaz.",
		["options_reloadui"]	 			 = "CUIDADO: Modificar esto parámetro recargará la interfaz.",
		["options_savedvariables"]	 = "Guardar",
		["options_savedvariables_tooltip"] = "Guardar los parámetros del addon para todos los personajes de la cuenta o individualmente para cada personaje",
		["options_savedVariables_dropdown_selection1"] = "Individualmente",
		["options_savedVariables_dropdown_selection2"] = "Cuenta",
        --Chat commands
        ["chat_command_help"]                           = "|c00FF00FCO |cFFFF00GuildBankStackSplit|r",
        ["chat_command_commands_headline"]              = "-> Possible commands are:",
        ["chat_command_commands_delay"]                 = "--> delay <value in milliseconds>.<2 decimals> (Example: /fcogbss delay 250.75).\nLeave value and decimals empty to show the current delay value!",
        ["chat_command_current_delay"]                  = "Current delay: ",
        ["chat_command_delay_min"]                      = "min: ",
        ["chat_command_delay_max"]                      = "max: ",
		--Keybindings
        ["SI_BINDING_NAME_FCO_SPLIT_GUILD_BANK_STACK"] 			= "Dividir la pila",

        --Error messages
        ["error_split_did_not_work_try_again"]     = "|cDD2222[FCOGuildBankStackSplit]|cFFFFFF Dividir abortado! Por favor, inténtalo de nuevo|r",
	},

    --Italian / Italiano
    ["it"] = {
        -- Options menu
        ["options_description"]                  = "",
        ["options_header1"] 			 		 = "General settings",
        ["options_language"] 					 = "Language",
        ["options_language_tooltip"] 			 = "Choose the language",
        ["options_language_dropdown_selection1"] = "English",
        ["options_language_dropdown_selection2"] = "German",
        ["options_language_dropdown_selection3"] = "French",
        ["options_language_dropdown_selection4"] = "Spanish",
        ["options_language_dropdown_selection5"] = "Italian",
        ["options_language_description1"]		 = "CAUTION: Changing the language/save option will reload the user interface!",
        ["options_reloadui"]					 = "CAUTION: Changing this option will reload the user interface!",
        ["options_savedvariables"]				 = "Save settings",
        ["options_savedvariables_tooltip"]       = "Save the addon settings for all your characters of your account, or single for each character",
        ["options_savedVariables_dropdown_selection1"] = "Each character",
        ["options_savedVariables_dropdown_selection2"] = "Account wide",
        --Chat commands
        ["chat_command_help"]                           = "|c00FF00FCO |cFFFF00GuildBankStackSplit|r",
        ["chat_command_commands_headline"]              = "-> Possible commands are:",
        ["chat_command_commands_delay"]                 = "--> delay <value in milliseconds>.<2 decimals> (Example: /fcogbss delay 250.75).\nLeave value and decimals empty to show the current delay value!",
        ["chat_command_current_delay"]                  = "Current delay: ",
        ["chat_command_delay_min"]                      = "min: ",
        ["chat_command_delay_max"]                      = "max: ",
        --Keybindings
        ["SI_BINDING_NAME_FCO_SPLIT_GUILD_BANK_STACK"] 			= "Split stack",

        --Error messages
        ["error_split_did_not_work_try_again"]     = "|cDD2222[FCOGuildBankStackSplit]|cFFFFFF Split interrotta! Riprova, per favore|r",
    },
}
--Meta table trick to use english localization for german, french and spanish values, which are missing
setmetatable(fco_gbssloc["de"], {__index = fco_gbssloc["en"]})
setmetatable(fco_gbssloc["fr"], {__index = fco_gbssloc["en"]})
setmetatable(fco_gbssloc["es"], {__index = fco_gbssloc["en"]})
setmetatable(fco_gbssloc["it"], {__index = fco_gbssloc["en"]})
